function [roots,iter]=newtonhorner(a,x0,tol,nmax)
if nargin==2
    tol=1.e-04; nmax=100;
elseif nargin==3
    nmax=100;
end
n=length(a)-1; roots=zeros(n,1); iter=zeros(n,1);
for k=1:n
    niter=0; x=x0; diff=tol+1;
    while niter<=nmax && diff>=tol
        [pz,b]=horner(a,x); [dpz,b]=horner(b,x);
        xnew=x-pz/dpz;   diff=abs(xnew-x);
        niter=niter+1;   x=xnew;
    end
    if niter>=nmax
        fprintf('No converge no nmero mximo de iteraes \n ')
    end
    %Deflaction
    [pz,a]=horner(a,x); roots(k)=x; iter(k)=niter;
end
return