function [x,niter,erro]=pontofixo(phi,x0,tol,nmax,varargin)
if nargin==2
    tol=1.e-4; nmax=100;
elseif nargin==3
    nmax=100;
end
x=x0;
diff=tol+1;
niter=0;
while niter<=nmax && diff>=tol
    gx=feval(phi,x,varargin{:});
    xnew=gx;
    diff=abs(x-xnew);
    x=xnew;
    erro=diff;
    niter=niter+1;
end
if niter>=nmax
    fprintf('No converge no nmero mximo de iteraes \n ');
end
return
